Subject: RE: bug#13687: /srv/bzr/emacs/trunk r111878: * lisp/replace.el(read-regexp): Let-bind `default' to the first

From: "Drew Adams" <[email-masked]>
Date: Sat, 9 Mar 2013 09:55:56 -0800

> The question is why is this-command `exit-minibuffer' when it should
> have been `multi-occur-in-matching-buffers'.  Where does
> `exit-minibuffer' come from.
> 
> I am not concerned about the defaults, I am concerned about 
> how the cmd.  Do you have an explanation.  There should be an
> explanation... and the closest I have come to is to map RET to
> `exit-minibuffer'.

That IS the explanation, which you mentioned earlier as well.

`read-regexp' calls `read-from-minibuffer'.  When you hit `RET' during that
read, `exit-minibuffer' is the value of `this-command'.

You did not provide your recipe of testing interactions.  But if you enter
something in the minibuffer using `RET', then that explains why the current
command when `read-regexp-default's is eval'd is `exit-minibuffer'.